## KICS Roadmap

These are our upcoming features:

- Support extracting runtime configurations from additional Cloud providers such as Azure & GCP
- CIS certifications for k8s and release 1.5
- Integration with AWS Security Hub
- Extend coverage of queries for GCP & Azure

Have an idea?
Join the <a href="https://github.com/Checkmarx/kics/discussions" target="_blank">GitHub discussions</a> or contact KICS core team at [kics@checkmarx.com](mailto:kics@checkmarx.com)

---

## Completed Features

| Release | Feature |
| --- | --- |
| **February 2022** |
| v1.5.2 | Terraformer integration with AZURE |
| v1.5.2 | Terraformer integration with GCP |
| v1.5.2 | Multiple paths for queries | 
| v1.5.1 | Cloud Development Kit for Terraform support |
| **January 2022** | 
| v1.5.0 | Terraformer integration with AWS |
| v1.5.0 | AWS Serverless Application Model support |
| v1.5.0 | ASFF report |
| **December 2021** |
| v1.4.9 | Google Deployment Manager support |
| v1.4.9 | gRPC support |
| v1.4.9 | CycloneDX SBOM report |
| v1.4.9 | JUnit report |
| **November 2021** |
| v1.4.8 | Pre-commit hooks integration |
| v1.4.8 | SonarQube report |
| v1.4.7 | Parsers ignore comment by line | 
| v1.4.7 | MegaLinter integration |
| **October 2021** |
| v1.4.6 | Terraform Cloud integration |
| v1.4.5 | Azure Blueprints support |
| v1.4.5 | Bill-of-Material for cloud-resources generation (--bom option) |
| v1.4.5 | Terraform plan support |
| **September 2021** |
| v1.4.4 | Terraform verified modules support |
| v1.4.3 | Passwords and Secrets mechanism |
| v1.4.3 | --disable-secrets and --secrets-regexes-path option |
| v1.4.3 | TravisCI integration example |
| v1.4.2 | --exclude-severities and --libraries-path option |
| **August 2021** |
| v1.4.1 | Ignore/disable/enable feature on commented files |
| v1.4.0 | Azure Resource Manager support |
| v1.4.0 | Terraform functions |
| v1.4.0 | CIS descriptions |
| **July 2021** |
| v1.3.5 | --input-data option |
| v1.3.5 | Improved documentation |
| **June 2021** |
| v1.3.3 | PDF report |
| v1.3.2 | Gitlab SAST report |
| v1.3.2 | Improved HTML report (path, platform, start/end times) |
| **May 2021** |
| v1.3.0 | Improved performance (sample filtering and parallel scans) |
| v1.3.0 | Improved Logs (CPU, RAM outputs) |
| v1.3.0 | Jenkinsfile documentation and examples |
| v1.3.0 | CircleCI integration example |
| **April 2021** |
| v1.2.4 | Added Open API 3.0 support |
| v1.2.4 | Distribution platforms: Homebrew |
| v1.2.2 | Terraform - Parameters files support |
| **March 2021** | 
| v1.2.1 | Helm support |
| v1.2.1 | Reporting - add HTML format |
| v1.2.0 | Documentation - Queries catalog |
| v1.2.0 | Reporting - add SARIF format |
| v1.2.0 | Improved CLI outputs (progess, coloring, logo) |
| v1.2.0 | Engineering and performance improvements |
| **February 2021** | 
| v1.1.4 | CI/CD improved documentation |
| v1.1.3 | Mac support |
| v1.1.3 | Hard-coded secret keys detection |
| **January 2021** | 
| v1.1.1 | Adding more queries and extending coverage |
| v1.1.1 | Adding more CI/CD integrations |
| v1.1.1 | Engineering and performance improvements |
| **December 2020** | 
| v1.1.0 | K8S support |
| v1.1.0 | Docker support |
| v1.1.0 | Ansible support |
| v1.1.0 | AWS CloudFormation support |
| **November 2020** | 
| v1.0.0 | First version of KICS engine |
| v1.0.0 | Terraform support, 50 queries |
| v1.0.0 | Delivery: CLI & Docker |
